## org.eclipse.xsd.util
Class XSDUtil.XSDNamedComponentCrossReferencer

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<EObject,java.util.Collection<EStructuralFeature.Setting>>
              org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
                  org.eclipse.xsd.util.XSDUtil.XSDNamedComponentCrossReferencer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>

Enclosing class:
  XSDUtil

    public static class XSDUtil.XSDNamedComponentCrossReferencer

extends EcoreUtil.CrossReferencer

A cross referencer that finds all XSDNamedComponents and each usage of an XSDNamedComponent.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
`emfObjects`

Constructor Summary
`protected` `XSDUtil.XSDNamedComponentCrossReferencer(java.util.Collection<?> emfObjects)`
`protected` `XSDUtil.XSDNamedComponentCrossReferencer(EObject eObject)`
`protected` `XSDUtil.XSDNamedComponentCrossReferencer(Resource resource)`
`protected` `XSDUtil.XSDNamedComponentCrossReferencer(ResourceSet resourceSet)`

Method Summary
`protected boolean` `containment(EObject eObject)`
`protected boolean` `crossReference(EObject eObject, EReference eReference, EObject crossReferencedEObject)`
`static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>` `find(EObject eObject)` Returns a map of all XSDNamedComponent cross references in the content tree.
`static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>` `find(Resource resource)` Returns a map of all XSDNamedComponent cross references in the content tree.
`static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>` `find(ResourceSet resourceSet)` Returns a map of all XSDNamedComponent cross references in the content tree.

Methods inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
`add, crossReference, done, find, getCollection, getCrossReferences, handleCrossReference, newCollection, newContentsIterator, print, print, resolve, toString`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### XSDUtil.XSDNamedComponentCrossReferencer

    protected XSDUtil.XSDNamedComponentCrossReferencer(EObject eObject)

### XSDUtil.XSDNamedComponentCrossReferencer

    protected XSDUtil.XSDNamedComponentCrossReferencer(Resource resource)

### XSDUtil.XSDNamedComponentCrossReferencer

    protected XSDUtil.XSDNamedComponentCrossReferencer(ResourceSet resourceSet)

### XSDUtil.XSDNamedComponentCrossReferencer

    protected XSDUtil.XSDNamedComponentCrossReferencer(java.util.Collection<?> emfObjects)

Method Detail

### containment

    protected boolean containment(EObject eObject)

  Overrides:
    `containment` in class `EcoreUtil.CrossReferencer`

### crossReference

    protected boolean crossReference(EObject eObject,
                                     EReference eReference,
                                     EObject crossReferencedEObject)

  Overrides:
    `crossReference` in class `EcoreUtil.CrossReferencer`

### find

    public static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>> find(EObject eObject)

  Returns a map of all XSDNamedComponent cross references in the content tree.

### find

    public static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>> find(Resource resource)

  Returns a map of all XSDNamedComponent cross references in the content tree.

### find

    public static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>> find(ResourceSet resourceSet)

  Returns a map of all XSDNamedComponent cross references in the content tree.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.